Package org.apache.jmeter.gui.action

# Class Help

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.Help

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class Help extends AbstractAction
Implements the Help menu item.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HELP_FUNCTIONS`

## Constructor Summary

Constructors
Constructor
Description
`Help()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HELP_FUNCTIONS

public static final String HELP_FUNCTIONS

## Constructor Details

### Help

public Help()

## Method Details

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  - `Command.doAction(ActionEvent)`

### getActionNames

public Set<String> getActionNames()

See Also:
  - `Command.getActionNames()`